## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathAllocator Class Reference

`#include <XPathAllocator.hpp>`

Collaboration diagram for XPathAllocator:

List of all members.

## Public Types

- typedef XPath object_type
- typedef ArenaAllocator<object_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XPathAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XPathAllocator ()
- object_type* create ()
    Create an XPath object using the allocator. More...
- bool ownsObject (const object_type* theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all XPath objects allocated.
- size_type getBlockCount () const
    Get the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of blocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator<object_type> XPathAllocator::ArenaAllocatorType

typedef XPath XPathAllocator::object_type

typedef ArenaAllocatorType::size_type XPathAllocator::size_type

## Constructor & Destructor Documentation

XPathAllocator::XPathAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XPathAllocator::~XPathAllocator ( | )

## Member Function Documentation

object_type * XPathAllocator::create ( | )

Create an XPath object using the allocator.

Returns:
  a pointer to an XPath

size_type XPathAllocator::getBlockCount ( | ) const`[]`

Get the number of objects in each block.

Returns:
  The size of the block

size_type XPathAllocator::getBlockSize ( | ) const`[]`

Get the number of blocks currently allocated.

Returns:
  The number of blocks.

bool XPathAllocator::ownsObject ( | const object_type * theObject )`[]`

Determine if an object is owned by the allocator...

void XPathAllocator::reset ( | )

Delete all XPath objects allocated.

The documentation for this class was generated from the following file:

- XPathAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.